services:
  backend:
    build:
      dockerfile: docker/backend/Dockerfile
      context: .
    # image: helper_backend:1.1
    restart: always
    environment:
      NODE_ENV: "production"
      DB_PORT: 3306
      DB_HOST: "172.18.156.39" # 设置 root 用户密码
      DB_PWD: "4Dage@4Dage#@168"
      DB_USER: "root"
      DB_DATABASE: "4dkankan_motion"
      REDIS_URL: "redis://172.18.157.42:6379/7"
    networks:
      - backend
    ports:
      - "8085:8085"
  frontend:
    # image: gemer/helper_frontend:latest
    # build: docker/frontend/Dockerfile
    build:
      dockerfile: docker/frontend/Dockerfile
      context: .
    # volumes:
    #   - docker/html:/usr/share/nginx/html
    restart: always
    ports:
      - "19090:80"
    networks:
      - backend

networks:
  backend:
    driver: bridge